GWT 2.7.0

## com.google.gwt.i18n.client
Class CurrencyList

    java.lang.Object
      com.google.gwt.i18n.client.CurrencyList

All Implemented Interfaces:
  java.lang.Iterable<CurrencyData>

    public class CurrencyList

extends java.lang.Object
implements java.lang.Iterable<CurrencyData>

Generated class containing all the CurrencyImpl instances. This is just the fallback in case the I18N module is not included.

Field Summary
`protected java.util.HashMap<java.lang.String,CurrencyData>` | `dataMapJava` Map of currency codes to CurrencyData.
`protected JavaScriptObject` | `dataMapNative` JS map of currency codes to CurrencyData objects.
`protected java.util.HashMap<java.lang.String,java.lang.String>` | `namesMapJava` Map of currency codes to localized currency names.
`protected JavaScriptObject` | `namesMapNative` JS map of currency codes to localized currency names.

Constructor Summary
`CurrencyList()`

Method Summary
`static CurrencyList` | `get()` Return the singleton instance of CurrencyList.
`CurrencyData` | `getDefault()` Return the default currency data for this locale.
`protected CurrencyData` | `getDefaultJava()` Return the default currency data for this locale.
`protected CurrencyData` | `getDefaultNative()` Return the default currency data for this locale.
`java.util.Iterator<CurrencyData>` | `iterator()` Returns an iterator for the list of currencies.
`java.util.Iterator<CurrencyData>` | `iterator(boolean includeDeprecated)` Returns an iterator for the list of currencies, optionally including deprecated ones.
`protected java.util.HashMap<java.lang.String,CurrencyData>` | `loadCurrencyMapJava()` Loads the currency map.
`protected JavaScriptObject` | `loadCurrencyMapNative()` Loads the currency map from a JS object literal.
`protected java.util.HashMap<java.lang.String,java.lang.String>` | `loadNamesMapJava()` Loads the currency names map.
`protected JavaScriptObject` | `loadNamesMapNative()` Loads the currency names map from a JS object literal.
`CurrencyData` | `lookup(java.lang.String currencyCode)` Lookup a currency based on the ISO4217 currency code.
`java.lang.String` | `lookupName(java.lang.String currencyCode)` Lookup a currency name based on the ISO4217 currency code.
`protected static JavaScriptObject` | `overrideMap(JavaScriptObject original, JavaScriptObject override)` Add all entries in `override` to the original map, replacing any existing entries.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataMapJava

    protected java.util.HashMap<java.lang.String,CurrencyData> dataMapJava

  Map of currency codes to CurrencyData.

### dataMapNative

    protected JavaScriptObject dataMapNative

  JS map of currency codes to CurrencyData objects. Each currency code is assumed to be a valid JS object key.

### namesMapJava

    protected java.util.HashMap<java.lang.String,java.lang.String> namesMapJava

  Map of currency codes to localized currency names. This is kept separate from `dataMapJava` above so that the names can be completely removed by the compiler if they are not used.

### namesMapNative

    protected JavaScriptObject namesMapNative

  JS map of currency codes to localized currency names. This is kept separate from `dataMapNative` above so that the names can be completely removed by the compiler if they are not used. Each currency code is assumed to be a valid JS object key.

Constructor Detail

### CurrencyList

    public CurrencyList()

Method Detail

### get

    public static CurrencyList get()

  Return the singleton instance of CurrencyList.

### overrideMap

    protected static final JavaScriptObject overrideMap(JavaScriptObject original,
                                                        JavaScriptObject override)

  Add all entries in `override` to the original map, replacing any existing entries. This is used by subclasses that need to slightly alter the data used by the parent locale.

### getDefault

    public CurrencyData getDefault()

  Return the default currency data for this locale. Generated implementations override this method.

### iterator

    public final java.util.Iterator<CurrencyData> iterator()

  Returns an iterator for the list of currencies. Deprecated currencies will not be included.

  Specified by:
    `iterator` in interface `java.lang.Iterable<CurrencyData>`

### iterator

    public final java.util.Iterator<CurrencyData> iterator(boolean includeDeprecated)

  Returns an iterator for the list of currencies, optionally including deprecated ones.

  Parameters:
    `includeDeprecated` - true if deprecated currencies should be included

### lookup

    public final CurrencyData lookup(java.lang.String currencyCode)

  Lookup a currency based on the ISO4217 currency code.

  Parameters:
    `currencyCode` - ISO4217 currency code
  Returns:
    currency data, or null if code not found

### lookupName

    public final java.lang.String lookupName(java.lang.String currencyCode)

  Lookup a currency name based on the ISO4217 currency code.

  Parameters:
    `currencyCode` - ISO4217 currency code
  Returns:
    name of the currency, or null if code not found

### getDefaultJava

    protected CurrencyData getDefaultJava()

  Return the default currency data for this locale. Generated implementations override this method.

### getDefaultNative

    protected CurrencyData getDefaultNative()

  Return the default currency data for this locale. Generated implementations override this method.

### loadCurrencyMapJava

    protected java.util.HashMap<java.lang.String,CurrencyData> loadCurrencyMapJava()

  Loads the currency map. Generated implementations override this method.

### loadCurrencyMapNative

    protected JavaScriptObject loadCurrencyMapNative()

  Loads the currency map from a JS object literal. Generated implementations override this method.

### loadNamesMapJava

    protected java.util.HashMap<java.lang.String,java.lang.String> loadNamesMapJava()

  Loads the currency names map. Generated implementations override this method.

### loadNamesMapNative

    protected JavaScriptObject loadNamesMapNative()

  Loads the currency names map from a JS object literal. Generated implementations override this method.

GWT 2.7.0